---
nameOverride: ""
fullnameOverride: ""

replicaCount: 1

image:
  repository: registry.gitlab.com/commonground/huishoudboekje/app-new/fileservice
  pullPolicy: ""
  tag: ""

init1:
  image:
    repository: busybox
    pullPolicy: ""
    tag: latest
init2:
  image:
    repository: bitnami/postgresql
    pullPolicy: ""
    tag: 13

podSecurityContext: {}

securityContext:
  capabilities:
    drop:
      - ALL
  readOnlyRootFilesystem: true
  runAsNonRoot: true
  allowPrivilegeEscalation: false

resources:
  limits:
    cpu: 300m
    memory: 256Mi
  requests:
    cpu: 100m
    memory: 128Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 4
  targetCPUUtilizationPercentage: 80
  targetMemoryUtilizationPercentage: 80

existingSecrets:
  database:
    # Secret name
    name: ""
    # Item in secret container DB host.
    host: ""
    # Item in secret containing DB port.
    port: ""
    # Item in secret containing DB name.
    dbName: ""
    # Item in secret containing DB username.
    username: ""
    # Item in secret containing DB password.
    password: ""

database:
  host: ""
  port: ""
  dbName: fileservice
  username: fileservice
  password: fileservice

extraEnvVars: []
